X2Go Bug report logs - #866
Fix compilation errors in nxcomp (nx-libs) when macros TEST/DEBUG/... are defined (developer support)

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Nito Martinez <Nito@Qindel.ES>

Date: Thu, 7 May 2015 22:45:03 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version 3.5.0.28

Fixed in version 3.5.99.0

Forwarded to https://github.com/ArcticaProject/nx-libs/pull/26

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#866; Package nx-libs. (Thu, 07 May 2015 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <Nito@Qindel.ES>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 07 May 2015 22:45:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Nito Martinez <Nito@Qindel.ES>
To: submit@bugs.x2go.org
Subject: Fix compilation errors in nxcomp (nx-libs) when macros TEST/DEBUG/... are defined (developer support)
Date: Fri, 08 May 2015 00:35:09 +0200
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.28

Description:

The attached patch fixes some compilation errors when the following 
macros are enabled: (TEST/DEBUG/DUMP). See the lines:

#undef TEST
#undef DEBUG
...

and the conditinal ifdefs

#ifdef TEST
#ifdef DEBUG
...

which are normally not compiled.

During debugging and testing when these macros gets activated, there are 
some compilation errors, which need to be manually fixed each time the 
Macros are enabled. This patch tries to leverage that error.

The patch does not affect code outside of those ifdef, and only provides 
developer support.

Regards,

Nito

[Message part 2 (text/html, inline)]
[macro_debugging.patch (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#866; Package nx-libs. (Fri, 08 May 2015 10:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 May 2015 10:05:02 GMT) Full text and rfc822 format available.

Message #10 received at 866@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nito Martinez <Nito@qindel.es>, 866@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#866: Fix compilation errors in nxcomp (nx-libs) when macros TEST/DEBUG/... are defined (developer support)
Date: Fri, 08 May 2015 10:03:12 +0000
[Message part 1 (text/plain, inline)]
Hi Nito,

On  Fr 08 Mai 2015 00:35:09 CEST, Nito Martinez wrote:

> Package: nx-libs
> Version: 3.5.0.28
>
> Description:
>
> The attached patch fixes some compilation errors when the following  
> macros are enabled: (TEST/DEBUG/DUMP). See the lines:
>
> #undef TEST
> #undef DEBUG
> ...
>
> and the conditinal ifdefs
>
> #ifdef TEST
> #ifdef DEBUG
> ...
>
> which are normally not compiled.
>
> During debugging and testing when these macros gets activated, there  
> are some compilation errors, which need to be manually fixed each  
> time the Macros are enabled. This patch tries to leverage that error.
>
> The patch does not affect code outside of those ifdef, and only  
> provides developer support.
>
> Regards,
>
> Nito

We (people from X2Go and Arctica) changed the nx-libs development  
workflow a bit, recently:

Now, we normally file pull requests (even internally in our team,  
except for small fixes) against the nx-libs 3.6.x branch on Github.  
All greater code changes happen for nx-libs 3.6.x first and then get  
backported to 3.5.0.x later (or not at all). All major commits/change  
shall reveive a code review and approval of another dev on the team.

So, the initial bug tracking / pull request tracking for nx-libs has  
been relocated to Github. Bugs for nx-libs on the X2Go bug tracker are  
for marking PRs or commits worth of being backported to the 3.5.0.x  
branch (which is handled by the X2Go devs, mainly Mihai Moldovan at  
the time being).

Basic splitup of workload: Arctica Project context maintains nx-libs  
3.6.x, X2Go context maintains nx-libs 3.5.0.x.

Also, Mihai fixed several TEST/DEBUG/DUMP issues on both branches  
(3.5.0.x and 3.6.x). It may well be that the fixes you provide here  
already exist on 3.5.0.x/HEAD (haven't checked that)?

Thus, could you do these following steps:

  o rebase your patch against nx-libs 3.6.x branch
  o clone https://github.com/ArcticaProject/nx-libs
  o create a pr/<describe-what-your-code-does> branch on your account
  o file a PR against ArcticaProject/nx-libs 3.6.x branch
  o wait for Ionic or me to review

In the future, I'd be happy to welcome you as another potential pull  
request reviewer, so we can distribute the workload even better. Once  
I see your PR, I will grant you write/commit access to nx-libs on  
github.com/ArcticaProject.

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 15 May 2015 13:48:11 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#866; Package nx-libs. (Mon, 29 Feb 2016 09:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 29 Feb 2016 09:05:02 GMT) Full text and rfc822 format available.

Message #17 received at 866@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 866@bugs.x2go.org
Cc: Nito Martinez <Nito@qindel.es>
Subject: Re: [X2Go-Dev] Bug#866: Bug#866: Fix compilation errors in nxcomp (nx-libs) when macros TEST/DEBUG/... are defined (developer support)
Date: Mon, 29 Feb 2016 09:03:44 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 fixed-upstream
Control: fixed -1 3.5.99.0
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/pull/26
On  Fr 08 Mai 2015 12:03:12 CEST, Mike Gabriel wrote:

> Hi Nito,
>
> On  Fr 08 Mai 2015 00:35:09 CEST, Nito Martinez wrote:
>
>> Package: nx-libs
>> Version: 3.5.0.28
>>
>> Description:
>>
>> The attached patch fixes some compilation errors when the following  
>> macros are enabled: (TEST/DEBUG/DUMP). See the lines:
>>
>> #undef TEST
>> #undef DEBUG
>> ...
>>
>> and the conditinal ifdefs
>>
>> #ifdef TEST
>> #ifdef DEBUG
>> ...
>>
>> which are normally not compiled.
>>
>> During debugging and testing when these macros gets activated,  
>> there are some compilation errors, which need to be manually fixed  
>> each time the Macros are enabled. This patch tries to leverage that  
>> error.
>>
>> The patch does not affect code outside of those ifdef, and only  
>> provides developer support.
>>
>> Regards,
>>
>> Nito

This issue has been resolved on the 3.6.x branch of nx-libs [1] and a  
backport to 3.5.x is recommended, but not critical.

Mike

[1] https://github.com/ArcticaProject/nx-libs/pull/26
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 866-submit@bugs.x2go.org. (Mon, 29 Feb 2016 09:05:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3.5.99.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 866-submit@bugs.x2go.org. (Mon, 29 Feb 2016 09:05:02 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/pull/26'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 866-submit@bugs.x2go.org. (Mon, 29 Feb 2016 09:05:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:16:51 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.